initVariables();
unaVez = true;
imgLoad = null;
loadFoto = servidorURL + "/assets/buco/face.png";
imgLoad = createImg(loadFoto);
imgLoad.hide();
identificadorTiempoDeEspera;
identificadorIntervaloDeTiempo;
nVeces = 1;
///////////////////////////////////////////////////////
function funcionGo(ctx, width, height) {
  let nPorcentaje = 1;
  if (lInit) {
    //tiempoBase = 5;
    if (!deviceAndroid) nPorcentaje = 1;
    else nPorcentaje = 2;
    jsreinitProcedure();
    jsinitTimer(16);
    txClocalUp = '';
    txClocalDown = "preparese / mantenga la posicion / relaje";
    if (unaVez) {
      loadFoto = servidorURL + "/assets/buco/face.png";
      imgLoad = createImg(loadFoto);
      imgLoad.hide();
      unaVez = false;
      lVideo = false;
    }
    temporizadorDeRetraso();
  }

  if (lVideo) {
    //displaymodulo(0);
    push();
    translate(wsIni + wVideo / 2, imgLoad.height / 2 - (imgLoad.width / imgLoad.height) * 190 / 2);
    image(imgLoad, -imgLoad.width / 2 + (imgLoad.width / imgLoad.height) * 190 / 2, -imgLoad.height / 2 + (imgLoad.width / imgLoad.height) * 190 / 2, imgLoad.width / nPorcentaje - (imgLoad.width / imgLoad.height) * 190, imgLoad.height / nPorcentaje - (imgLoad.width / imgLoad.height) * 190)
    pop();
  }

  if (lDelayLocal) {
    nVeces++;
    if (nVeces > 16) nVeces = 1;
    lVideo = false;
    temporizadorDeRetraso();
  }
  noStroke();
}
function temporizadorDeRetraso() {
  txClocalDown = "preparese / relaje";
  txClocalUp = '';
  identificadorTiempoDeEspera = setTimeout(funcionConRetraso, 5000);
}

function funcionConRetraso() {
  switch (nVeces) {
    case 1:
      txClocalUp = 'BOCA ABIERTA';
      break;
    case 2:
      txClocalUp = 'HINCHAR MEJILLAS';
      break;
    case 3:
      txClocalUp = 'SACAR LA LENGUA';
      break;
    case 4:
      txClocalUp = 'LENGUA A LA DCHA.';
      break;
    case 5:
      txClocalUp = 'LENGUA A LA IZDA.';
      break;
    case 6:
      txClocalUp = 'LENGUA HACIA ABAJO';
      break;
    case 7:
      txClocalUp = 'LENGUA HACIA ARRIBA';
      break;
    case 8:
      txClocalUp = 'CARA DE ASOMBRO';
      break;
    case 9:
      txClocalUp = 'SONRIA';
      break;
    case 10:
      txClocalUp = 'CARA DE TRISTEZA';
      break;
    case 11:
      txClocalUp = 'CARA DE ENFADO';
      break;
    case 12:
      txClocalUp = 'HABA MORROS';
      break;
    case 13:
      txClocalUp = 'CONTRACCION MEJILLA DCHA.';
      break;
    case 14:
      txClocalUp = 'CONTRACCION MEJILLA IZDA.';
      break;
    case 15:
      txClocalUp = 'SUJETE EL OBJETO';
      break;
    case 16:
      txClocalUp = 'TIRE DEL OBJETO Y SUJETELO';
      break;
  }
  lVideo = true;
  txClocalDown = "mantenga la posicion";
  loadFoto = servidorURL + "/assets/buco/" + nVeces.toString() + ".png";
  imgLoad = loadImage(loadFoto);
}
